// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
import { __awaiter, __generator } from "tslib";
/**
 * Convert a Browser Blob object into ArrayBuffer.
 *
 * @param blob -
 */
export function blobToArrayBuffer(blob) {
    return __awaiter(this, void 0, void 0, function () {
        var fileReader;
        return __generator(this, function (_a) {
            fileReader = new FileReader();
            return [2 /*return*/, new Promise(function (resolve, reject) {
                    fileReader.onloadend = function (ev) {
                        resolve(ev.target.result);
                    };
                    fileReader.onerror = reject;
                    fileReader.readAsArrayBuffer(blob);
                })];
        });
    });
}
/**
 * Convert a Browser Blob object into string.
 *
 * @param blob -
 */
export function blobToString(blob) {
    return __awaiter(this, void 0, void 0, function () {
        var fileReader;
        return __generator(this, function (_a) {
            fileReader = new FileReader();
            return [2 /*return*/, new Promise(function (resolve, reject) {
                    fileReader.onloadend = function (ev) {
                        resolve(ev.target.result);
                    };
                    fileReader.onerror = reject;
                    fileReader.readAsText(blob);
                })];
        });
    });
}
export function streamToBuffer() { }
export function streamToBuffer2() { }
export function readStreamToLocalFile() { }
export var fsStat = function stat() { };
export var fsCreateReadStream = function createReadStream() { };
//# sourceMappingURL=utils.browser.js.map